 /* Modal container styles */
        .modal {
            display: none; /* Hidden by default */
            position: fixed;
            z-index: 1000;
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.5); /* Semi-transparent background */
            justify-content: center;
            align-items: center;
        }

        /* Modal content styles */
        .modal-content {
            background-color: #0e0f0d;
            border: 1px solid #2e352f;
            padding: 20px;
            border-radius: 8px;
            text-align: center;
            width: 90%;
            max-width: 500px;
            /*height: 80vh;*/
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
            
        }

        /* Close button */
        .close {
            color: #aaa;
            float: right;
            font-size: 24px;
            font-weight: bold;
            cursor: pointer;
            text-align: right;
        }

        .close:hover {
            color: #000;
        }